Package org.postgresql.xml

# Class EmptyStringEntityResolver

java.lang.Object
org.postgresql.xml.EmptyStringEntityResolver

All Implemented Interfaces:
  `EntityResolver`

public class EmptyStringEntityResolver extends Object implements EntityResolver

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EmptyStringEntityResolver`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`EmptyStringEntityResolver()`

## Method Summary

Modifier and Type
Method
Description
`InputSource`
`resolveEntity(@Nullable String publicId, String systemId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final EmptyStringEntityResolver INSTANCE

## Constructor Details

### EmptyStringEntityResolver

public EmptyStringEntityResolver()

## Method Details

### resolveEntity

public InputSource resolveEntity(@Nullable String publicId, String systemId) throws SAXException, IOException

Specified by:
  `resolveEntity` in interface `EntityResolver`
Throws:
  `SAXException`
  `IOException`